"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Downloads the given ics. Meant to be used only for Safari.
 *
 * @param {string} data - ics data
 * @param {string} fileName - file name to save, ending in .ics
 */
var safariFileSave = function (data, fileName) {
    var anchor = document.createElement('a');
    var encodedData = encodeURIComponent(data);
    anchor.setAttribute('href', "data:text/calendar;charset=utf-8," + encodedData);
    anchor.setAttribute('download', fileName);
    if (document.createEvent) {
        var event_1 = document.createEvent('MouseEvents');
        event_1.initEvent('click', true, true);
        anchor.dispatchEvent(event_1);
    }
    else {
        anchor.click();
    }
};
exports.default = safariFileSave;
